<?xml version="1.0" encoding="GB2312"?>
<TornadoI>
    <Motion>
        <!--;Motion is output once a gyro value is bigger than this value / 100
        ;low down the threshold to make motion detection more sensitive-->
        <GyroMotionThreshold>40</GyroMotionThreshold>
        <!--;comparing successive 2 frames to judge camera motion or object motion
        ;Motion is output once cameraMoving block ratio is bigger than ;cameraMovingThreshold, or objectMoving block ratio is bigger than
        ;objectMovingThreshold, low down the thresholds to make motion detection
        ;more sensitive -->
        <CameraMovingThreshold>25</CameraMovingThreshold>
        <ObjectMovingThreshold>4</ObjectMovingThreshold>
    </Motion>
    <Night>
        <!--;different threshold is used at different time of a day, low down
        ;the thresholds to make more night decision at specific time-->
        <NightDecisionThresholdDay>7000</NightDecisionThresholdDay>
        <NightDecisionThresholdDawn>4000</NightDecisionThresholdDawn>
        <NightDecisionThresholdNight>0</NightDecisionThresholdNight>
        <!--;we low down the decision threshold when a night is detected in the-->
        <!--;previous frame, to avoid vibration, increase the following value if-->
        <!--;you want a night decision stays longer-->
        <NightDecisionOffset>2000</NightDecisionOffset>
        <!--;increase the following thresholds to make more night decision-->
        <NightDarkPixelThreshold>35</NightDarkPixelThreshold>
        <NightBrightPixelThreshold>140</NightBrightPixelThreshold>
        <!--;once exposure is bigger than high threshold, no night
        ;once exposure is smaller than low threshold, night without image processing
        ;exposure=100, means exposure time is 1/100 second-->
        <NightExposureHighThreshold>30</NightExposureHighThreshold>
        <NightExposureLowThreshold>10</NightExposureLowThreshold>
        <!--;a night scene has big ISO, && low exposure time, && not too many bright pixels && not too big average brightness
        ;not too few dark pixels and not too many bright pixels-->
        <Night_brightPixelRatio>128</Night_brightPixelRatio>
        <Night_darkPixelRatio>50</Night_darkPixelRatio>
        <!--;Night_ISO is max ISO of current phone-->
        <Night_ISO>2000</Night_ISO>
        <!--;Night_exposureTime is max exposure time of current phone-->
        <Night_exposureTime>16</Night_exposureTime>
        <Night_yMean>168</Night_yMean>
        <!--;a strong light night scene is a night scene and
        ;has not so few light source pixels, and many of the light source pixels are in image center area
        ;or not so few dark pixels, or not so dark-->
        <StrongLight_darkPixelRatio>70</StrongLight_darkPixelRatio>
        <!--;not percent, but 1 / 1000-->
        <StrongLight_CLSR>10</StrongLight_CLSR>
        <!--;not percent, but 1 / 1000-->
        <StrongLight_LSR>20</StrongLight_LSR>
        <StrongLight_yMean>140</StrongLight_yMean>
        <!--;a middle light night scene is a night scene but not a strong light night scene and
        ;has some light source pixels, but no too dark-->
        <MiddleLight_LSR>6</MiddleLight_LSR>
        <MiddleLight_yMean>15</MiddleLight_yMean>
        <!--;a weak light night scene is a night scene but not a strong nor a middle light night scene and
        ;has some light source pixels
        ;not percent, but 1 / 1000-->
        <WeakLight_LSR>2</WeakLight_LSR>
    </Night>
    <FaceBackLight>
        <!--;threshold between face and background, increase the threshold to make
        ;less face backlight decision-->
        <FaceBackLightDiffThreshold>60</FaceBackLightDiffThreshold>
        <!--;when a face region is very dark and image not so dark, make decision        -->
        <FaceBackLightFaceMeanTreshold>60</FaceBackLightFaceMeanTreshold>
        <!--;In background region, there should be enough ratio of bright pixels
        ;increase the threshold to make less face backlight decision        -->
        <FaceBackLightValidPointRatioThre>35</FaceBackLightValidPointRatioThre>
        <!--;to avoid vibration, when a face backlight is detected in the previous
        ;frame, low down the decision threshold with offset        -->
        <FaceBackLightDecisionOffset>20</FaceBackLightDecisionOffset>
    </FaceBackLight>
    <Indoor>
        <!--;the miminum confidence for indoor(outdoor)??if the confidence of test image is bigger than indoor(outdoor) confidence threshold,
        ;the image is classified to the indoor(outdoor) class        -->
        <Indoor_Threshold_Indoor_IO>8</Indoor_Threshold_Indoor_IO>
        <Indoor_Threshold_Outdoor_IO>8</Indoor_Threshold_Outdoor_IO>
        <Indoor_Outdoor_LV_Th>85</Indoor_Outdoor_LV_Th>
        <Indoor_Outdoor_LV_Tolerance>5</Indoor_Outdoor_LV_Tolerance>
    </Indoor>
    <BackLight>
        <!--;we segment the dark region and bright region from the main region of the test ;image,and calcualte the average luminance of dark and bright regions ;separately
        ;maxinnum average luminance of dark region, if you want the algorithm more sensitive(it counld lead to more misdetection) transfer LARGE parameter,
        ;else transfer small parameter. (suggest 70 ~ 80)        -->
        <Backlit_Thre_Ydark>75</Backlit_Thre_Ydark>
        <!--;miminum percentage of dark blocks in main region, if you want the algorithm more sensitive transfer SMALL parameter,
        ;else transfer large parameter. (suggest 15 ~ 25)        -->
        <Backlit_Thre_perDark>20</Backlit_Thre_perDark>
        <!--;maxinnum luminance of bright blocks in main region, if you want the algorithm more sensitive transfer SMALL parameter,
        ;else transfer large parameter. (suggest 185 ~ 195)        -->
        <Backlit_Thre_iYbrightMax>190</Backlit_Thre_iYbrightMax>
        <!--;miminum luminance of dark blocks in main region, if you want the algorithm more sensitive transfer LARGE parameter,
        ;else transfer small parameter. (suggest 45 ~ 55)        -->
        <Backlit_Thre_iMinDark>48</Backlit_Thre_iMinDark>
        <!--;miminum average luminance difference between dark region and bright region, if you want the algorithm more sensitive transfer SMALL parameter,
        ;else transfer large parameter. (suggest 90 ~ 110)        -->
        <Backlit_Thre_ContrastY>100</Backlit_Thre_ContrastY>
        <!--;miminum percentage of dark blocks in Middle region region, if you want the algorithm more sensitive transfer SMALL parameter,
        ;else transfer large parameter. (suggest 10 ~ 20)        -->
        <Backlit_Thre_perMiddleDark>15</Backlit_Thre_perMiddleDark>
        <!--;maxinnum Gradient of dark blocks in Main region, if you want the algorithm more sensitive transfer LARGE parameter,
        ;else transfer small parameter. (suggest 40 ~ 60)        -->
        <Backlit_Thre_darkGradient>50</Backlit_Thre_darkGradient>
    </BackLight>
    <HDR>
        <!--;We define six parameters to control the recognition sensitivity of the HDR scene
        ;increase HDR_low_range[0 100] and HDR_high_range[0 100] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,decrease these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_low_range>16</HDR_low_range>
        <HDR_high_range>8</HDR_high_range>
        <!--;decrease HDR_diff_threshold_low[0 1000] and HDR_diff_threshold_high[0 1000] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_diff_threshold_low>100</HDR_diff_threshold_low>
        <HDR_diff_threshold_high>100</HDR_diff_threshold_high>
        <!--;decrease HDR_sum_threshold_low[0 100] and HDR_sum_threshold_high[0 100] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_sum_threshold_low>5</HDR_sum_threshold_low>
        <HDR_sum_threshold_high>4</HDR_sum_threshold_high>
        <!--;in a HDR scene the low-light range the high-light range must have some pixels
        ;the minimun value[0 100] of the ratio of the pixels in the low-light range in a HDR scene
        -->
        <HDR_SUM_THRESHOLD_LOW_MIN>0</HDR_SUM_THRESHOLD_LOW_MIN>
        <!--;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a HDR scene
        -->
        <HDR_SUM_THRESHOLD_HIGH_MIN>0</HDR_SUM_THRESHOLD_HIGH_MIN>
        <!--;the minimun value[0 100] of the ratio of the pixels in the low-light range in a under exposure scene
        -->
        <HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF>8</HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF>
        <!--;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a over exposure scene
        -->
        <HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF>8</HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF>
        <!--;exposureTime high threshold and ISO low threshold of noHDR scene-->
        <HDR_noHDR_exposureTime_ThreHigh>0</HDR_noHDR_exposureTime_ThreHigh>
        <HDR_noHDR_ISO_ThreLow>120</HDR_noHDR_ISO_ThreLow>
        <!--;indoor parameters
        ;high exposureTime threshold and low ISO threshold of indoor scene
        ;HDR_indoor_range_var should be [-10 10],negative:less HDR scene, positive:more HDR scene
        ;HDR_indoor_factor should be [0.5,1.5](ini parameters is [5,15]),less than 1:more HDR scene, more than 1:less HDR scene
        -->
        <HDR_indoor_exposureTime_ThreHigh>50</HDR_indoor_exposureTime_ThreHigh>
        <HDR_indoor_ISO_ThreLow>300</HDR_indoor_ISO_ThreLow>
        <HDR_indoor_range_var>0</HDR_indoor_range_var>
        <HDR_indoor_factor>10</HDR_indoor_factor>
        <!--;outdoor parameters
        ;low exposureTime threshold and high ISO threshold of outdoor scene
        ;HDR_outdoor_range_var should be [-10 10],negative:less HDR scene, positive:more HDR scene
        ;HDR_outdoor_factor should be [0.5,1.5](ini parameters is [5,15]),less than 1:more HDR scene, more than 1:less HDR scene
        -->
        <HDR_outdoor_exposureTime_ThreLow>700</HDR_outdoor_exposureTime_ThreLow>
        <HDR_outdoor_ISO_ThreHigh>100</HDR_outdoor_ISO_ThreHigh>
        <HDR_outdoor_range_var>0</HDR_outdoor_range_var>
        <HDR_outdoor_factor>10</HDR_outdoor_factor>
        <!--;for night hdr-->
        <HDR_Night_LV>210</HDR_Night_LV>
        <HDR_low_range_night>16</HDR_low_range_night>
        <HDR_high_range_night>8</HDR_high_range_night>
        <!--;decrease HDR_diff_threshold_low[0 1000] and HDR_diff_threshold_high[0 1000] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_diff_threshold_low_night>100</HDR_diff_threshold_low_night>
        <HDR_diff_threshold_high_night>100</HDR_diff_threshold_high_night>
        <!--;decrease HDR_sum_threshold_low[0 100] and HDR_sum_threshold_high[0 100] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_sum_threshold_low_night>40</HDR_sum_threshold_low_night>
        <HDR_sum_threshold_high_night>1</HDR_sum_threshold_high_night>
        <!--;in a HDR scene the low-light range the high-light range must have some pixels
        ;the minimun value[0 100] of the ratio of the pixels in the low-light range in a HDR scene
        -->
        <HDR_SUM_THRESHOLD_LOW_MIN_night>26</HDR_SUM_THRESHOLD_LOW_MIN_night>
        <!--;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a HDR scene
        -->
        <HDR_SUM_THRESHOLD_HIGH_MIN_night>0</HDR_SUM_THRESHOLD_HIGH_MIN_night>
        <!--;the minimun value[0 100] of the ratio of the pixels in the low-light range in a under exposure scene
        -->
        <HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF_night>15</HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF_night>
        <!--;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a over exposure scene
        -->
        <HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF_night>15</HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF_night>
        <!--;for face hdr-->
        <HDR_reserved0>1</HDR_reserved0>
        <HDR_reserved1>30</HDR_reserved1>
        <HDR_reserved2>5</HDR_reserved2>
        <HDR_reserved3>0</HDR_reserved3>
        <HDR_reserved4>0</HDR_reserved4>
        <!--;for touch hdr-->
        <HDR_reserved5>1</HDR_reserved5>
        <HDR_reserved6>20</HDR_reserved6>
        <HDR_reserved7>5</HDR_reserved7>
        <HDR_reserved8>0</HDR_reserved8>
        <HDR_reserved9>5</HDR_reserved9>

        <HDR_reserved10>11</HDR_reserved10>
        <HDR_reserved11>40</HDR_reserved11>
        <HDR_reserved12>1</HDR_reserved12>
        <HDR_reserved13>15</HDR_reserved13>
        <HDR_reserved14>0</HDR_reserved14>
        <HDR_cos_sim>90</HDR_cos_sim>
        <!--;for point light source-->
        <LUMA_THRESHOLD>256</LUMA_THRESHOLD>
        <LV_THRESHOLD>0</LV_THRESHOLD>
        <MAX_OVER_EXPOSURE_RATIO_THRESHOLD>0</MAX_OVER_EXPOSURE_RATIO_THRESHOLD>
        <MIN_OVER_EXPOSURE_RATIO_THRESHOLD>5</MIN_OVER_EXPOSURE_RATIO_THRESHOLD>
        <LOWLIGHT_PIX_NUM_RATIO_THRESHOLD>90000</LOWLIGHT_PIX_NUM_RATIO_THRESHOLD>
        <LOWLIGHT_PIX_MEAN_THRESHOLD>40000</LOWLIGHT_PIX_MEAN_THRESHOLD>
        <ALL_PIX_MEAN_THRESHOLD>42000</ALL_PIX_MEAN_THRESHOLD>
        <MIN_DRTHRESHOLD_NOPOINTDETECT>100</MIN_DRTHRESHOLD_NOPOINTDETECT>
    </HDR>
    <HDRmono>
        <!--;We define six parameters to control the recognition sensitivity of the HDR scene
        ;increase HDR_low_range[0 100] and HDR_high_range[0 100] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,decrease these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_low_range>16</HDR_low_range>
        <HDR_high_range>8</HDR_high_range>
        <!--;decrease HDR_diff_threshold_low[0 1000] and HDR_diff_threshold_high[0 1000] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_diff_threshold_low>100</HDR_diff_threshold_low>
        <HDR_diff_threshold_high>100</HDR_diff_threshold_high>
        <!--;decrease HDR_sum_threshold_low[0 100] and HDR_sum_threshold_high[0 100] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_sum_threshold_low>8</HDR_sum_threshold_low>
        <HDR_sum_threshold_high>6</HDR_sum_threshold_high>
        <!--;in a HDR scene the low-light range the high-light range must have some pixels
        ;the minimun value[0 100] of the ratio of the pixels in the low-light range in a HDR scene
        -->
        <HDR_SUM_THRESHOLD_LOW_MIN>0</HDR_SUM_THRESHOLD_LOW_MIN>
        <!--;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a HDR scene
        -->
        <HDR_SUM_THRESHOLD_HIGH_MIN>0</HDR_SUM_THRESHOLD_HIGH_MIN>
        <!--;the minimun value[0 100] of the ratio of the pixels in the low-light range in a under exposure scene
        -->
        <HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF>8</HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF>
        <HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF>8</HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF>
        <!--;exposureTime high threshold and ISO low threshold of noHDR scene-->
        <HDR_noHDR_exposureTime_ThreHigh>0</HDR_noHDR_exposureTime_ThreHigh>
        <HDR_noHDR_ISO_ThreLow>90</HDR_noHDR_ISO_ThreLow>
        <!--;indoor parameters
        ;high exposureTime threshold and low ISO threshold of indoor scene
        ;HDR_indoor_range_var should be [-10 10],negative:less HDR scene, positive:more HDR scene
        ;HDR_indoor_factor should be [0.5,1.5](ini parameters is [5,15]),less than 1:more HDR scene, more than 1:less HDR scene
        -->
        <HDR_indoor_exposureTime_ThreHigh>50</HDR_indoor_exposureTime_ThreHigh>
        <HDR_indoor_ISO_ThreLow>300</HDR_indoor_ISO_ThreLow>
        <HDR_indoor_range_var>0</HDR_indoor_range_var>
        <HDR_indoor_factor>10</HDR_indoor_factor>
        <!--;outdoor parameters
        ;low exposureTime threshold and high ISO threshold of outdoor scene
        ;HDR_outdoor_range_var should be [-10 10],negative:less HDR scene, positive:more HDR scene
        ;HDR_outdoor_factor should be [0.5,1.5](ini parameters is [5,15]),less than 1:more HDR scene, more than 1:less HDR scene
        -->
        <HDR_outdoor_exposureTime_ThreLow>700</HDR_outdoor_exposureTime_ThreLow>
        <HDR_outdoor_ISO_ThreHigh>100</HDR_outdoor_ISO_ThreHigh>
        <HDR_outdoor_range_var>0</HDR_outdoor_range_var>
        <HDR_outdoor_factor>10</HDR_outdoor_factor>
        <!--;for night hdr-->
        <HDR_Night_LV>60</HDR_Night_LV>

        <HDR_low_range_night>16</HDR_low_range_night>
        <HDR_high_range_night>8</HDR_high_range_night>
        <!--;decrease HDR_diff_threshold_low[0 1000] and HDR_diff_threshold_high[0 1000] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_diff_threshold_low_night>100</HDR_diff_threshold_low_night>
        <HDR_diff_threshold_high_night>100</HDR_diff_threshold_high_night>
        <!--;decrease HDR_sum_threshold_low[0 100] and HDR_sum_threshold_high[0 100] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_sum_threshold_low_night>10</HDR_sum_threshold_low_night>
        <HDR_sum_threshold_high_night>1</HDR_sum_threshold_high_night>
        <!--;in a HDR scene the low-light range the high-light range must have some pixels
        ;the minimun value[0 100] of the ratio of the pixels in the low-light range in a HDR scene
        -->
        <HDR_SUM_THRESHOLD_LOW_MIN_night>12</HDR_SUM_THRESHOLD_LOW_MIN_night>
        <!--;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a HDR scene
        -->
        <HDR_SUM_THRESHOLD_HIGH_MIN_night>3</HDR_SUM_THRESHOLD_HIGH_MIN_night>
        <!--;the minimun value[0 100] of the ratio of the pixels in the low-light range in a under exposure scene
        -->
        <HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF_night>15</HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF_night>
        <!--;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a over exposure scene
        -->
        <HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF_night>15</HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF_night>
        <!--;for face hdr-->
        <HDR_reserved0>1</HDR_reserved0>
        <HDR_reserved1>20</HDR_reserved1>
        <HDR_reserved2>7</HDR_reserved2>
        <HDR_reserved3>0</HDR_reserved3>
        <HDR_reserved4>0</HDR_reserved4>
        <!--;for touch hdr-->
        <HDR_reserved5>1</HDR_reserved5>
        <HDR_reserved6>20</HDR_reserved6>
        <HDR_reserved7>5</HDR_reserved7>
        <HDR_reserved8>0</HDR_reserved8>
        <HDR_reserved9>5</HDR_reserved9>

        <HDR_reserved10>1</HDR_reserved10>
        <HDR_reserved11>1</HDR_reserved11>
        <HDR_reserved12>1</HDR_reserved12>
        <HDR_reserved13>1</HDR_reserved13>
        <HDR_reserved14>1</HDR_reserved14>

        <HDR_cos_sim>90</HDR_cos_sim>
    </HDRmono>
    <HDRleica>
        <!--;We define six parameters to control the recognition sensitivity of the HDR scene

        ;increase HDR_low_range[0 100] and HDR_high_range[0 100] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,decrease these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_low_range>16</HDR_low_range>
        <HDR_high_range>8</HDR_high_range>
        <!--;decrease HDR_diff_threshold_low[0 1000] and HDR_diff_threshold_high[0 1000] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_diff_threshold_low>100</HDR_diff_threshold_low>
        <HDR_diff_threshold_high>100</HDR_diff_threshold_high>
        <!--;decrease HDR_sum_threshold_low[0 100] and HDR_sum_threshold_high[0 100] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_sum_threshold_low>8</HDR_sum_threshold_low>
        <HDR_sum_threshold_high>5</HDR_sum_threshold_high>
        <!--;in a HDR scene the low-light range the high-light range must have some pixels
        ;the minimun value[0 100] of the ratio of the pixels in the low-light range in a HDR scene
        -->
        <HDR_SUM_THRESHOLD_LOW_MIN>0</HDR_SUM_THRESHOLD_LOW_MIN>
        <!--;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a HDR scene
        -->
        <HDR_SUM_THRESHOLD_HIGH_MIN>0</HDR_SUM_THRESHOLD_HIGH_MIN>
        <!--;the minimun value[0 100] of the ratio of the pixels in the low-light range in a under exposure scene
        -->
        <HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF>8</HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF>
        <!--;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a over exposure scene
        -->
        <HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF>8</HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF>
        <!--;exposureTime high threshold and ISO low threshold of noHDR scene-->
        <HDR_noHDR_exposureTime_ThreHigh>0</HDR_noHDR_exposureTime_ThreHigh>
        <HDR_noHDR_ISO_ThreLow>90</HDR_noHDR_ISO_ThreLow>
        <!--;indoor parameters
        ;high exposureTime threshold and low ISO threshold of indoor scene
        ;HDR_indoor_range_var should be [-10 10],negative:less HDR scene, positive:more HDR scene
        ;HDR_indoor_factor should be [0.5,1.5](ini parameters is [5,15]),less than 1:more HDR scene, more than 1:less HDR scene
        -->
        <HDR_indoor_exposureTime_ThreHigh>50</HDR_indoor_exposureTime_ThreHigh>
        <HDR_indoor_ISO_ThreLow>300</HDR_indoor_ISO_ThreLow>
        <HDR_indoor_range_var>0</HDR_indoor_range_var>
        <HDR_indoor_factor>10</HDR_indoor_factor>
        <!--;outdoor parameters
        ;low exposureTime threshold and high ISO threshold of outdoor scene
        ;HDR_outdoor_range_var should be [-10 10],negative:less HDR scene, positive:more HDR scene
        ;HDR_outdoor_factor should be [0.5,1.5](ini parameters is [5,15]),less than 1:more HDR scene, more than 1:less HDR scene
        -->
        <HDR_outdoor_exposureTime_ThreLow>700</HDR_outdoor_exposureTime_ThreLow>
        <HDR_outdoor_ISO_ThreHigh>100</HDR_outdoor_ISO_ThreHigh>
        <HDR_outdoor_range_var>0</HDR_outdoor_range_var>
        <HDR_outdoor_factor>10</HDR_outdoor_factor>
        <!--;for night hdr-->
        <HDR_Night_LV>90</HDR_Night_LV>
        <HDR_low_range_night>16</HDR_low_range_night>
        <HDR_high_range_night>8</HDR_high_range_night>
        <!--;decrease HDR_diff_threshold_low[0 1000] and HDR_diff_threshold_high[0 1000] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_diff_threshold_low_night>100</HDR_diff_threshold_low_night>
        <HDR_diff_threshold_high_night>100</HDR_diff_threshold_high_night>
        <!--;decrease HDR_sum_threshold_low[0 100] and HDR_sum_threshold_high[0 100] can recognize more scene as HDR scenes,
        ;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
        -->
        <HDR_sum_threshold_low_night>10</HDR_sum_threshold_low_night>
        <HDR_sum_threshold_high_night>1</HDR_sum_threshold_high_night>
        <!--;in a HDR scene the low-light range the high-light range must have some pixels
        ;the minimun value[0 100] of the ratio of the pixels in the low-light range in a HDR scene
        -->
        <HDR_SUM_THRESHOLD_LOW_MIN_night>12</HDR_SUM_THRESHOLD_LOW_MIN_night>
        <!--;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a HDR scene
        -->
        <HDR_SUM_THRESHOLD_HIGH_MIN_night>3</HDR_SUM_THRESHOLD_HIGH_MIN_night>
        <!--;the minimun value[0 100] of the ratio of the pixels in the low-light range in a under exposure scene
        -->
        <HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF_night>15</HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF_night>
        <!--;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a over exposure scene
        -->
        <HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF_night>15</HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF_night>
        <!--;for face hdr-->
        <HDR_reserved0>1</HDR_reserved0>
        <HDR_reserved1>20</HDR_reserved1>
        <HDR_reserved2>7</HDR_reserved2>
        <HDR_reserved3>0</HDR_reserved3>
        <HDR_reserved4>0</HDR_reserved4>
        <!--;for touch hdr-->
        <HDR_reserved5>1</HDR_reserved5>
        <HDR_reserved6>20</HDR_reserved6>
        <HDR_reserved7>5</HDR_reserved7>
        <HDR_reserved8>0</HDR_reserved8>
        <HDR_reserved9>5</HDR_reserved9>

        <HDR_reserved10>1</HDR_reserved10>
        <HDR_reserved11>1</HDR_reserved11>
        <HDR_reserved12>1</HDR_reserved12>
        <HDR_reserved13>1</HDR_reserved13>
        <HDR_reserved14>1</HDR_reserved14>
        <HDR_cos_sim>90</HDR_cos_sim>
    </HDRleica>
    <MultiDenoise>
        <!--;when iso on preview > ISOThreshold, force enter multidenoise-->
        <ISOThreshold>600</ISOThreshold>
        <!--;if isMotion && ISO > ISOThresholdMotion, enter multidenoise algorithm in motion status
        -->
        <ISOThresholdMotion>1010</ISOThresholdMotion>
        <!--;if night result > nightResultEnter, enter multidenoise algorithm, 0 nonNight, 1 stronglight, 2 middlelight, 3 weaklight, 4 low light
        -->
        <nightResultEnter>0</nightResultEnter>
        <!--;if night result > nightResultBrighten, enter multidenoise algorithm, and increase gain to make the image brighter
        -->
        <nightResultBrighten>2</nightResultBrighten>
        <!--;if fd result > fdResultBrighten and above conditions, do not brighten image with bigger GAIN
        -->
        <fdResultBrighten>0</fdResultBrighten>
        <!--;if face average < fdAverageBrighten and aboive conditions, brighten image with bigger GAIN
        -->
        <fdAverageBrighten>80</fdAverageBrighten>
        <fdContrastBrighten>30</fdContrastBrighten>
        <!--;if above conditions and imageAverage < imageAverageTarget,  brighten the image,
        ;newGain = oldGain * imageAverageTarget / imageAverage, newGain will not exceed 2 * oldGain
        -->
        <imageAverageTarget>80</imageAverageTarget>
    </MultiDenoise>
    <Depth>
        <!--;version index-->
        <version>4</version>
        <!--;amount of algorithm whitch controlled by depth detection function-->
        <algoAmount>5</algoAmount>
        <!--;pixels inside image margin are not take into consideration-->
        <marginSize>10</marginSize>
        <!--;if ratio of pixels that has valid depth information is smaller than validDepthPixelRatio, return depth scene code 0-->
        <validDepthPixelRatio>10</validDepthPixelRatio>
        <!--;for edof , depth pixels whose value is bigger than farLevelIndex are judged as far pixels, in milimeter-->
        <edofFarLevelIndex>1304</edofFarLevelIndex>
        <!--;for edof , depth pixels whose value is smaller than nearLevelIndex are judged as near pixels-->
        <edofNearLevelIndex>522</edofNearLevelIndex>
        <!--;for edof , depth pixels whose value is smaller than nearLevelIndex are judged as macro pixels-->
        <edofMacroLevelIndex>200</edofMacroLevelIndex>
        <!--;for edof , if far pixel ratio is bigger than farRatio, farFlag is set to 1-->
        <edofFarRatio>20</edofFarRatio>
        <!--;for edof , if middle pixel ratio is bigger than midRatio, midFlag is set to 1-->
        <edofMidRatio>18</edofMidRatio>
        <!--;for edof , if near pixel ratio is bigger than nearRatio, nearFlag is set to 1-->
        <edofNearRatio>10</edofNearRatio>
        <!--;for edof , if near pixel ratio is bigger than nearRatio, macroFlag is set to 1-->
        <edofMacroRatio>15</edofMacroRatio>
        <!--;for multiframe denoise , depth pixels whose value is bigger than farLevelIndex are judged as far pixels, in milimeter-->
        <mdFarLevelIndex>1304</mdFarLevelIndex>
        <!--;for multiframe denoise , depth pixels whose value is smaller than nearLevelIndex are judged as near pixels-->
        <mdNearLevelIndex>522</mdNearLevelIndex>
        <!--;for multiframe denoise , depth pixels whose value is smaller than nearLevelIndex are judged as macro pixels-->
        <mdMacroLevelIndex>50</mdMacroLevelIndex>
        <!--;for multiframe denoise , if far pixel ratio is bigger than farRatio, farFlag is set to 1-->
        <mdFarRatio>20</mdFarRatio>
        <!--;for multiframe denoise , if middle pixel ratio is bigger than midRatio, midFlag is set to 1-->
        <mdMidRatio>18</mdMidRatio>
        <!--;for multiframe denoise , if near pixel ratio is bigger than nearRatio, nearFlag is set to 1-->
        <mdNearRatio>10</mdNearRatio>
        <!--;for multiframe denoise , if near pixel ratio is bigger than nearRatio, macroFlag is set to 1-->
        <mdMacroRatio>10</mdMacroRatio>
        <!--;for hdr , depth pixels whose value is bigger than farLevelIndex are judged as far pixels, in milimeter-->
        <hdrFarLevelIndex>1304</hdrFarLevelIndex>
        <!--;for hdr , depth pixels whose value is smaller than nearLevelIndex are judged as near pixels-->
        <hdrNearLevelIndex>522</hdrNearLevelIndex>
        <!--;for hdr , depth pixels whose value is smaller than nearLevelIndex are judged as macro pixels-->
        <hdrMacroLevelIndex>50</hdrMacroLevelIndex>
        <!--;for hdr , if far pixel ratio is bigger than farRatio, farFlag is set to 1-->
        <hdrFarRatio>20</hdrFarRatio>
        <!--;for hdr , if middle pixel ratio is bigger than midRatio, midFlag is set to 1-->
        <hdrMidRatio>18</hdrMidRatio>
        <!--;for hdr , if near pixel ratio is bigger than nearRatio, nearFlag is set to 1-->
        <hdrNearRatio>10</hdrNearRatio>
        <!--;for hdr , if near pixel ratio is bigger than nearRatio, macroFlag is set to 1-->
        <hdrMacroRatio>10</hdrMacroRatio>
        <!--;for super resolution , depth pixels whose value is bigger than farLevelIndex are judged as far pixels, in milimeter-->
        <srFarLevelIndex>1304</srFarLevelIndex>
        <!--;for super resolution , depth pixels whose value is smaller than nearLevelIndex are judged as near pixels-->
        <srNearLevelIndex>522</srNearLevelIndex>
        <!--;for super resolution , depth pixels whose value is smaller than nearLevelIndex are judged as macro pixels-->
        <srMacroLevelIndex>200</srMacroLevelIndex>
        <!--;for super resolution , if far pixel ratio is bigger than farRatio, farFlag is set to 1-->
        <srFarRatio>20</srFarRatio>
        <!--;for super resolution , if middle pixel ratio is bigger than midRatio, midFlag is set to 1-->
        <srMidRatio>18</srMidRatio>
        <!--;for super resolution , if near pixel ratio is bigger than nearRatio, nearFlag is set to 1-->
        <srNearRatio>10</srNearRatio>
        <!--;for super resolution , if near pixel ratio is bigger than nearRatio, macroFlag is set to 1-->
        <srMacroRatio>15</srMacroRatio>
        <!--;for super resolution , depth pixels whose value is bigger than farLevelIndex are judged as far pixels, in milimeter-->
        <ippFarLevelIndex>1304</ippFarLevelIndex>
        <!--;for super resolution , depth pixels whose value is smaller than nearLevelIndex are judged as near pixels-->
        <ippNearLevelIndex>500</ippNearLevelIndex>
        <!--;for super resolution , depth pixels whose value is smaller than nearLevelIndex are judged as macro pixels-->
        <ippMacroLevelIndex>200</ippMacroLevelIndex>
        <!--;for super resolution , if far pixel ratio is bigger than farRatio, farFlag is set to 1-->
        <ippFarRatio>81</ippFarRatio>
        <!--;for super resolution , if middle pixel ratio is bigger than midRatio, midFlag is set to 1-->
        <ippMidRatio>81</ippMidRatio>
        <!--;for super resolution , if near pixel ratio is bigger than nearRatio, nearFlag is set to 1-->
        <ippNearRatio>20</ippNearRatio>
        <!--;for super resolution , if near pixel ratio is bigger than nearRatio, macroFlag is set to 1-->
        <ippMacroRatio>20</ippMacroRatio>
        <reserved8>8</reserved8>
    </Depth>
    <DualCamAbnormal>
        <!--;abnormal can be caused by hand occulusion, one camera is dirty, camera position change due to fall off
        ;threshold for left and right image mean difference-->
        <meanDiffThreshold>15</meanDiffThreshold>
        <!--;threshold for left and right image contrast difference-->
        <contrastDiffThreshold>10</contrastDiffThreshold>
        <!--;threshold for horizontal offset of left and right image-->
        <horizontalOffsetThreshold>5</horizontalOffsetThreshold>
        <!--;threshold for vertical offset of left and right image-->
        <verticalOffsetThreshold>5</verticalOffsetThreshold>
        <!--;threshold for horizontal projection histogram difference after offsetting image-->
        <minHorizontalDiffThreshold>20</minHorizontalDiffThreshold>
        <!--;threshold for vertical projection histogram difference after offsetting image-->
        <minVerticalDiffThreshold>20</minVerticalDiffThreshold>
        <!--;threshold for different block ratio after offsetting image-->
        <blockDiffRatioThreshold>16</blockDiffRatioThreshold>
        <!--;the 2 blocks are different if mean difference of the 2 blocks is bigger than this-->
        <blockDiffThreshold>20</blockDiffThreshold>
        <meanSameThreshold>2</meanSameThreshold>
        <!--;the distance between left and right image, higher threshold, less detections-->
        <distanceThreshold>70</distanceThreshold>
        <!--;to stabilize the result of dual abnormal detection-->
        <stableThreshold>5</stableThreshold>
        <!--;the similarity of the center region of the two images, if the similarity is smaller than this threshold, it's abnormal.-->
        <similarityThreshold>0</similarityThreshold>
        <reserved13>13</reserved13>
        <reserved14>14</reserved14>
        <reserved15>15</reserved15>
    </DualCamAbnormal>
    <PureColor>
        <redLowLimit0>0</redLowLimit0>
        <redHighLimit0>20</redHighLimit0>
        <redLowLimit1>192</redLowLimit1>
        <redHighLimit1>255</redHighLimit1>
        <greenLowLimit>51</greenLowLimit>
        <greenHighLimit>128</greenHighLimit>
        <blueLowLimit>129</blueLowLimit>
        <blueHighLimit>191</blueHighLimit>
        <yellowLowLimit>21</yellowLowLimit>
        <yellowHighLimit>50</yellowHighLimit>
        <pureColorThr>35000</pureColorThr>
    </PureColor>
    <FlashHDR>
        <!--;a flash hdr scene is that flash image is not too bright and noflash image is not too dark
        ;and there is enough difference between flash image and noflash image
        ;if flash image is too bright, no flashHDR-->
        <flashAverageHighThreshold>100</flashAverageHighThreshold>
        <!--;if flash image is too dark, no flashHDR-->
        <flashAverageLowThreshold>19</flashAverageLowThreshold>
        <!--;if no flash image is too bright, no flashHDR-->
        <noFlashAverageHighThreshold>115</noFlashAverageHighThreshold>
        <!--;if noFlash image is too dark, no flashHDR-->
        <noFlashAverageLowThreshold>10</noFlashAverageLowThreshold>
        <!--;if bright area in flash image is too small, no flashHDR-->
        <flashBrightAreaThreshold>8</flashBrightAreaThreshold>
        <!--;if bright area in no flash image is too small, no flashHDR-->
        <noFlashBrightAreaThreshold>3</noFlashBrightAreaThreshold>
        <!--;a pixel is a bright pixel if it is brigher than brightPixelThreshold-->
        <brightPixelThreshold>50</brightPixelThreshold>
        <!--;if big diff pixel ratio in foreground is too small, no flashHDR-->
        <foregroundDiffThreshold>8</foregroundDiffThreshold>
        <!--;if big diff pixel ratio in background is too small, no flashHDR-->
        <backgroundDiffThreshold>1</backgroundDiffThreshold>
        <!--;a pixel is a big diff pixel if there is big enough diff of the pixel in flash image and no flash image-->
        <pixelDiffThreshold>20</pixelDiffThreshold>
        <!--;if flash image iso is smaller than isoThreshold, no flashHDR-->
        <isoThreshold>300</isoThreshold>
        <!--;if face is too small, no flashHDR-->
        <faceSizeThreshold>1800</faceSizeThreshold>
        <!--;if big diff ratio in face is too small no flashHDR-->
        <faceDiffRatio>35</faceDiffRatio>
        <faceDiffRatioFromNoflashToFlash>16</faceDiffRatioFromNoflashToFlash>
        <flashHDR_reserved7>7</flashHDR_reserved7>
    </FlashHDR>
    <CCM>
        <ccSingleCompPixel_MaxThreshold>220</ccSingleCompPixel_MaxThreshold>
        <!--;0-255-->
        <ccSingleCompPixel_MinThreshold>10</ccSingleCompPixel_MinThreshold>
        <!--;0-255-->
        <ccSingleForFaceCompPixel_MaxThreshold>200</ccSingleForFaceCompPixel_MaxThreshold>
        <!--;0-255-->
        <ccSingleForFaceCompPixel_MinThreshold>30</ccSingleForFaceCompPixel_MinThreshold>
        <!--;0-255-->
        <ccSingleCompThreshold>100</ccSingleCompThreshold>
        <!--;0-100-->
        <ccSingleCompForFaceRectsThreshold>100</ccSingleCompForFaceRectsThreshold>
        <!--;0-1000-->
        <reserved1>200</reserved1>
        <reserved2>5</reserved2>
        <reserved3>200</reserved3>
        <reserved4>30</reserved4>
        <reserved5>250</reserved5>
        <reserved6>100</reserved6>
        <reserved7>1</reserved7>
        <reserved8>1</reserved8>
    </CCM>
    <ZoomScene>
        <isoThreshold>800</isoThreshold>
        <zoomRatioThreshold>129</zoomRatioThreshold>
        <flatThreshold>100</flatThreshold>
        <reserved1>1</reserved1>
    </ZoomScene>
    <FunctionEnableParameters>
        <enableDeepModel>0</enableDeepModel>
        <enableHDR>1</enableHDR>
        <enableAEHDR>1</enableAEHDR>
        <enableFlashHDR>0</enableFlashHDR>
        <enableSaliency>0</enableSaliency>
        <enableAbnormal>0</enableAbnormal>
        <enableBypassMotionInfo>1</enableBypassMotionInfo>
        <reserved2>0</reserved2>
        <reserved3>0</reserved3>
        <reserved4>0</reserved4>
        <reserved5>0</reserved5>
        <reserved6>0</reserved6>
        <reserved7>0</reserved7>
        <reserved8>0</reserved8>
        <reserved9>0</reserved9>
        <reserved10>0</reserved10>
        <reserved11>0</reserved11>
        <reserved12>0</reserved12>
        <reserved13>0</reserved13>
        <reserved14>0</reserved14>
        <reserved15>0</reserved15>
        <reserved16>0</reserved16>
        <reserved17>0</reserved17>
        <reserved18>0</reserved18>
    </FunctionEnableParameters>
    <FOVCalculation>
        <enableFOVCalculation>0</enableFOVCalculation>
        <defaultScaleRatio_MaxThreshold>1200</defaultScaleRatio_MaxThreshold>
        <!--;val/1000-->
        <defaultScaleRatio_MinThreshold>1000</defaultScaleRatio_MinThreshold>
        <!--;val/1000-->
        <smoothStepNum>25</smoothStepNum>
        <!--;(defaultScaleRatio_MaxThreshold-defaultScaleRatio_MinThreshold)%(4*smoothStepNum)=0-->
        <reserved1>1</reserved1>
        <reserved2>1</reserved2>
        <reserved3>1</reserved3>
        <reserved4>1</reserved4>
        <reserved5>1</reserved5>
        <reserved6>1</reserved6>
    </FOVCalculation>
    <HDRPLUS>
        <!--;control the ratio threshold ,val [0-100],small value will make it easier to be in backlight scene
        -->
        <hdr_low_sum_ratio_threshold>20</hdr_low_sum_ratio_threshold>
        <hdr_high_sum_ratio_threshold>8</hdr_high_sum_ratio_threshold>
        <!--;control the ratio threshold ,val [0-100] whitch should small than above
        ;val ,small value will make it easier to be in big-backlight scene-->
        <hdr_blow_sum_ratio_threshold>40</hdr_blow_sum_ratio_threshold>
        <hdr_bhigh_sum_ratio_threshold>16</hdr_bhigh_sum_ratio_threshold>
        <!--;the average index threshold,low [0-30] in whitch higher value will make it easier to be in backlight scene
        ;high [220-255] in whitch smaller value will make it easier to be in backlight scene
        -->
        <hdr_low_index_threshold>25</hdr_low_index_threshold>
        <hdr_high_index_threshold>220</hdr_high_index_threshold>
        <!--;here low should smaller than above ,high should higher than above-->
        <hdr_blow_index_threshold>15</hdr_blow_index_threshold>
        <hdr_bhigh_index_threshold>226</hdr_bhigh_index_threshold>
    </HDRPLUS>
    <UltraIso>
        <UltraISOEnterISO>10000</UltraISOEnterISO>
        <UltraISOEnterLV>10</UltraISOEnterLV>
        <UltraISOEnterLVDelta>2</UltraISOEnterLVDelta>
        <UltraISOEnterLvFace>10</UltraISOEnterLvFace>
        <UltraISOLv1LumaRatio>1</UltraISOLv1LumaRatio>
        <UltraISOLv2LumaRatio>2</UltraISOLv2LumaRatio>
        <UltraISOLv3LumaRatio>4</UltraISOLv3LumaRatio>
        <UltraISOLv4LumaRatio>8</UltraISOLv4LumaRatio>
        <UltraISOLv5LumaRatio>16</UltraISOLv5LumaRatio>
        <UltraISOLv6LumaRatio>32</UltraISOLv6LumaRatio>
        <UltraISOTargetDelta1>34</UltraISOTargetDelta1>
        <UltraISOTargetDelta2>34</UltraISOTargetDelta2>
        <UltraISOTargetDelta3>34</UltraISOTargetDelta3>
        <UltraISOTargetDelta4>34</UltraISOTargetDelta4>
        <UltraISOTargetDelta5>30</UltraISOTargetDelta5>
        <UltraISOTargetDelta6>25</UltraISOTargetDelta6>
        <UltraISOTargetDelta7>20</UltraISOTargetDelta7>
        <UltraISOTargetDelta8>15</UltraISOTargetDelta8>
        <UltraISOTargetDelta9>10</UltraISOTargetDelta9>
        <UltraISOTargetDelta10>5</UltraISOTargetDelta10>
        <UltraISOLvDriftTh>10</UltraISOLvDriftTh>
    </UltraIso>
    <CameraStatus>
        <gyroMotionThreshold_HandHold>150</gyroMotionThreshold_HandHold>
        <gyroMotionThreshold_Tripod>5</gyroMotionThreshold_Tripod>
    </CameraStatus>
    <Occlusion>
        <MonoOcclusionThreshold>10</MonoOcclusionThreshold>
    </Occlusion>
    <HDSR>
        <hdsr_zoomratio>250</hdsr_zoomratio>
    </HDSR>
</TornadoI>